Bug 438182 - (CVE-2008-0073) CVE-2008-0073 xine-lib: sdpplin_parse() Array Indexing Vulnerability
CVE-2008-0073 xine-lib: sdpplin_parse() Array Indexing Vulnerability
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On: 438191 438192 438193
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 11:49 EDT by Tomas Hoger
Modified: 2008-04-09 01:16 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.1.11.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 01:16:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-03-19 11:49:07 EDT
Alin Rad Pop of Secunia Research discovered following flaw affecting xine-lib:

SA28694:

Description:
Secunia Research has discovered a vulnerability in xine-lib, which can be
exploited by malicious people to compromise a user's system.

The vulnerability is caused due to a boundary error within the
"sdpplin_parse()" function in input/libreal/sdpplin.c. This can be exploited to
overwrite arbitrary memory regions via an overly large "streamid" SDP parameter
included in a malicious RTSP stream.

Successful exploitation allows execution of arbitrary code.

The vulnerability is confirmed in version 1.1.10.1. Other versions may also be
affected.

Solution:
Do not open untrusted RTSP streams.
A patch or updated version should be available shortly.

References:
http://secunia.com/advisories/28694/
http://secunia.com/secunia_research/2008-10/advisory/
http://bugs.xine-project.org/show_bug.cgi?id=58
http://bugs.gentoo.org/show_bug.cgi?id=213039


According to Gentoo bug, this issue also affects VLC.

Issue should be addressed in next upstream version 1.1.11 (not yet available).
Patch is aviable in the xine bugzilla.
Comment 1 Tomas Hoger 2008-03-19 11:53:00 EDT
Direct link to patch:

http://bugs.xine-project.org/attachment.cgi?id=25
Comment 3 Ville Skyttä 2008-03-19 14:22:48 EDT
I'm working on updating F-8+ to 1.1.11.
Comment 4 Fedora Update System 2008-03-19 18:45:13 EDT
xine-lib-1.1.11-1.fc8 has been submitted as an update for Fedora 8
Comment 5 Ville Skyttä 2008-03-19 18:46:43 EDT
Rawhide build is waiting for aalib to be fixed (#438250).
Comment 6 Fedora Update System 2008-03-21 18:05:20 EDT
xine-lib-1.1.11-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-04-06 04:59:57 EDT
xine-lib-1.1.11.1-1.fc7 has been submitted as an update for Fedora 7
Comment 8 Fedora Update System 2008-04-09 01:16:36 EDT
xine-lib-1.1.11.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.